Bug 1123795 - deployment name and deployment description fields missing field names
Summary: deployment name and deployment description fields missing field names
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: z1
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 09:25 UTC by Ami Jeain
Modified: 2014-08-27 13:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 13:48:02 UTC


Attachments (Terms of Use)

Description Ami Jeain 2014-07-28 09:25:04 UTC
Description of problem:

the 2 fields in the deployment screen are missing field names, and the user doesn't even know what is their purpose unless he entered the values himself.

Version-Release number of selected component (if applicable):
# rpm -qa |grep foreman
foreman-1.6.0.21-2.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-2.el6sat.noarch
foreman-postgresql-1.6.0.21-2.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-mysql2-1.6.0.21-2.el6sat.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
foreman-selinux-1.6.0.3-2.el6sat.noarch
foreman-discovery-image-6.5-20140620.2.el6sat.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch

How reproducible:


Steps to Reproduce:
1. install a staypuft deployment and go to the deployment screen
2. right at the left corner, you have 2 values, deployment name and deployment description, but the user will not know that unless he entered the values of the 2 fields himself
3.

Actual results:

no field's names
Expected results:

there should be names to the left of the actual values
Additional info:

Comment 2 Mike Burns 2014-08-05 18:28:13 UTC
Jarda,

does this make sense from UX perspective?

Comment 4 Jaromir Coufal 2014-08-27 12:16:38 UTC
I don't think this is needed from the UX point of view - it will add clutter to the view itself. I'd close this issue as "no bug" and re-open if we get more feedback that this causes some issues to users.

Comment 5 Mike Burns 2014-08-27 13:48:02 UTC
closing notabug based on UX review


Note You need to log in before you can comment on or make changes to this bug.